# Mqtt2.py

from mqttclient import MQTTClient
from oxobutton import *
from time import sleep
from oxocard import *

def onMessageReceived(topic, payload):
    display(payload)

broker = "broker.hivemq.com"
topic = "/ch/count"
button = Button(BUTTON_R2) # button at right bottom

bigTextScroll("Connect AP.")
Wlan.connect("raspi", "112211221122")
bigTextScroll("Connect broker.")
client = MQTTClient(broker)
client.set_callback(onMessageReceived)
client.connect()
bigTextScroll("Subscribing.")
client.subscribe(topic)
while not button.wasPressed():
    sleep(0.5)
client.disconnect()
bigTextScroll("Disconnected.")
